// pages/Calculation/Calculation.js
Page({
  data: {
    OM: '', // 有机质含量
    CL: '', // 土壤粘粒重量
    CEC: '', // 阳离子交换量
    H: '', // 氢离子含量
    HN: '', // 铵离子含量
    Al: '', // 铝离子含量
    free_alumina: '', // 游离氧化铝含量
    free_iron_oxides: '', // 游离氧化铁含量
    collection_location: '', // 采样地点
    collection_date: '', // 采样时间
  },
  // 更新有机质含量
  onOMChange: function(e) {
    this.setData({
      OM: e.detail.value
    });
  },
  
  // 更新土壤粘粒重量
  onCLChange: function(e) {
    this.setData({
      CL: e.detail.value
    });
  },
  
  // 更新阳离子交换量
  onCECChange: function(e) {
    this.setData({
      CEC: e.detail.value
    });
  },
  
  // 更新氢离子含量
  onHChange: function(e) {
    this.setData({
      H: e.detail.value
    });
  },
  
  // 更新铵离子含量
  onHNChange: function(e) {
    this.setData({
      HN: e.detail.value
    });
  },
  
  // 更新铝离子含量
  onAlChange: function(e) {
    this.setData({
      Al: e.detail.value
    });
  },
  
  // 更新游离氧化铝含量
  onFreeAluminaChange: function(e) {
    this.setData({
      free_alumina: e.detail.value
    });
  },
  
  // 更新游离氧化铁含量
  onFreeIronOxidesChange: function(e) {
    this.setData({
      free_iron_oxides: e.detail.value
    });
  },
  
  // 更新采样地点
  onCollectionLocationChange: function(e) {
    this.setData({
      collection_location: e.detail.value
    });
  },
  
  // 更新采样时间
  onBindDateChange: function(e) {
    this.setData({
      collection_date: e.detail.value
    });
  },

  // 计算方法
  calculate: function() {
    console.log('开始计算...');
    console.log('有机质含量:', this.data.OM);
    console.log('土壤粘粒重量:', this.data.CL);
    console.log('阳离子交换量:', this.data.CEC);
    console.log('氢离子含量', this.data.H);
    console.log('铵离子含量:', this.data.HN);
    console.log('铝离子含量:', this.data.Al);
    console.log('游离氧化铝含量:', this.data.free_alumina);
    console.log('游离氧化铁含量:', this.data.free_iron_oxides);
    console.log('采样地点:', this.data.collection_location);
    console.log('采样时间:', this.data.collection_date);
  }
});